﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace WPF_Diagram_Application1.CustomDiagram
{
    public class ExtendedDiagram : RadDiagram
    {
        protected override bool IsItemItsOwnShapeContainerOverride(object item)
        {

            return (item is ChartDiagramShape || item is RadDiagramShape);
        }

        protected override Telerik.Windows.Diagrams.Core.IShape GetShapeContainerForItemOverride(object item)
        {
            if (item is ChartDiagramShape)
            {
                return new ChartDiagramShape();
            }
            return new RadDiagramShape();
        }
    }
}
