﻿using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams;
using Telerik.Windows.Controls.Diagrams.Extensions;
using Telerik.Windows.Diagrams.Core;
using Telerik.Windows.DragDrop;
using Telerik.Windows.Media.Imaging;
using WPF_Diagram_Application1.CustomDiagram;

namespace WPF_Diagram_Application1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var galleryItems = new HierarchicalGalleryItemsCollection();

            var customItemsGallery = new Gallery() { Header = "My shapes" };

            var listBox = new ListBox();
            listBox.Items.Add(new ListBoxItem() { Content = "Item 1" });
            listBox.Items.Add(new ListBoxItem() { Content = "Item 2" });

            var galleryItem = new GalleryItem()
            {
                Header = "Chart Shape",
                Shape = new ChartDiagramShape()
            };

            customItemsGallery.Items.Add(galleryItem);
            galleryItems.Add(customItemsGallery);

            
            this.toolBox.ItemsSource = galleryItems;
            this.toolBox.SelectedItem = customItemsGallery;

        }
    }
}
